import request from '@/utils/request'

// api地址
const api = {
  myList: 'groupon.task/myList',
  listByGoods: 'groupon.task/listByGoods',
  detail: 'groupon.task/detail'
}

// 我的拼团列表
export const myList = param => {
  return request.get(api.myList, param)
}

// 获取拼单任务详情
export const detail = (taskId, param) => {
  return request.get(api.detail, { taskId, ...param })
}

// 我的拼团列表
export const listByGoods = (grouponGoodsId, param) => {
  return request.get(api.listByGoods, { grouponGoodsId, ...param })
}
